Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8117 - rpm has minor Y2K issue
Summary: rpm has minor Y2K issue
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-02 22:56 UTC by steve
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-11 17:15:14 UTC


Attachments (Terms of Use)

Description steve 2000-01-02 22:56:04 UTC
doing an rpm -ba foo.spec, when foo.spec has a changelog with entries from
before 2000, will cause rpm to abort with a complaint about an invalid
date.

Comment 1 Jeff Johnson 2000-01-11 17:15:59 UTC
I believe this is an alpha only time_t issue rather than a Y2K issue.
Upgrade to rpm-3.0.2 or rpm-3.0.3 if you encounter this bug.


Note You need to log in before you can comment on or make changes to this bug.